GIT-VERIFY-PACK(1)

NAME
git-verify-pack - Validate packed git archive files.

SYNOPSIS
git-verify-pack [-v] [--] <pack>.idx ....sp

DESCRIPTION
Reads given idx file for packed git archive created with git-pack-objects command and verifies idx file and the corresponding pack file..sp

OPTIONS

<pack>.idx ...
    The idx files to verify.

-v  After verifying the pack, show list of objects contained in the pack.

—   Do not interpret any more arguments as options.

OUTPUT FORMAT
When specifying the -v option the format used is:.sp

SHA1 type size offset-in-packfile
for objects that are not deltified in the pack, and.sp

SHA1 type size offset-in-packfile depth base-SHA1
for objects that are deltified..sp

AUTHOR
Written by Junio C Hamano <junkio@cox.net>.sp

DOCUMENTATION
Documentation by Junio C Hamano.sp

GIT
Part of the git(7) suite.sp